<?php
/* +**********************************************************************************
 * The contents of this file are subject to the vtiger CRM Public License Version 1.0
 * ("License"); You may not use this file except in compliance with the License
 * The Original Code is:  vtiger CRM Open Source
 * The Initial Developer of the Original Code is vtiger.
 * Portions created by vtiger are Copyright (C) vtiger.
 * All Rights Reserved.
 * ********************************************************************************** */

$currencies = [
	'Albania, Leke' => ['ALL', 'Lek'],
	'Argentina, Pesos' => ['ARS', '$'],
	'Aruba, Guilders' => ['AWG', 'ƒ'],
	'Australia, Dollars' => ['AUD', '$'],
	'Azerbaijan, New Manats' => ['AZN', 'ман'],
	'Bahamas, Dollars' => ['BSD', '$'],
	'Bahrain, Dinar' => ['BHD', 'BD'],
	'Barbados, Dollars' => ['BBD', '$'],
	'Belarus, Rubles' => ['BYR', 'p.'],
	'Belize, Dollars' => ['BZD', 'BZ$'],
	'Bermuda, Dollars' => ['BMD', '$'],
	'Bolivia, Bolivianos' => ['BOB', '$b'],
	'China, Yuan Renminbi' => ['CNY', '¥'],
	'Convertible Marka' => ['BAM', 'KM'],
	'Botswana, Pulas' => ['BWP', 'P'],
	'Bulgaria, Leva' => ['BGN', 'лв'],
	'Brazil, Reais' => ['BRL', 'R$'],
	'Great Britain Pounds' => ['GBP', '£'],
	'Brunei Darussalam, Dollars' => ['BND', '$'],
	'Canada, Dollars' => ['CAD', '$'],
	'Cayman Islands, Dollars' => ['KYD', '$'],
	'Chile, Pesos' => ['CLP', '$'],
	'Colombia, Pesos' => ['COP', '$'],
	'Costa Rica, Colón' => ['CRC', '₡'],
	'Croatia, Kuna' => ['HRK', 'kn'],
	'Cuba, Pesos' => ['CUP', '₱'],
	'Czech Republic, Koruny' => ['CZK', 'Kč'],
	'Cyprus, Pounds' => ['CYP', '£'],
	'Denmark, Kroner' => ['DKK', 'kr'],
	'Dominican Republic, Pesos' => ['DOP', 'RD$'],
	'East Caribbean, Dollars' => ['XCD', '$'],
	'Egypt, Pounds' => ['EGP', '£'],
	'El Salvador, Colón' => ['SVC', '₡'],
	'England, Pounds' => ['GBP', '£'],
	'Estonia, Krooni' => ['EEK', 'kr'],
	'Euro' => ['EUR', '€'],
	'Falkland Islands, Pounds' => ['FKP', '£'],
	'Fiji, Dollars' => ['FJD', '$'],
	'Ghana, Cedis' => ['GHC', '¢'],
	'Gibraltar, Pounds' => ['GIP', '£'],
	'Guatemala, Quetzales' => ['GTQ', 'Q'],
	'Guernsey, Pounds' => ['GGP', '£'],
	'Guyana, Dollars' => ['GYD', '$'],
	'Honduras, Lempiras' => ['HNL', 'L'],
	'LvHong Kong, Dollars ' => ['HKD', 'HK$'],
	'Hungary, Forint' => ['HUF', 'Ft'],
	'Iceland, Krona' => ['ISK', 'kr'],
	'India, Rupees' => ['INR', '₨'],
	'Indonesia, Rupiahs' => ['IDR', 'Rp'],
	'Iran, Rials' => ['IRR', '﷼'],
	'Isle of Man, Pounds' => ['IMP', '£'],
	'Israel, New Shekels' => ['ILS', '₪'],
	'Jamaica, Dollars' => ['JMD', 'J$'],
	'Japan, Yen' => ['JPY', '¥'],
	'Jersey, Pounds' => ['JEP', '£'],
	'Jordan, Dinar' => ['JOD', 'JOD'],
	'Kazakhstan, Tenge' => ['KZT', '〒'],
	'Kenya, Shilling' => ['KES', 'KES'],
	'Korea (North), Won' => ['KPW', '₩'],
	'Korea (South), Won' => ['KRW', '₩'],
	'Kuwait, Dinar' => ['KWD', 'KWD'],
	'Kyrgyzstan, Soms' => ['KGS', 'лв'],
	'Laos, Kips' => ['LAK', '₭'],
	'Latvia, Lati' => ['LVL', 'Ls'],
	'Lebanon, Pounds' => ['LBP', '£'],
	'Liberia, Dollars' => ['LRD', '$'],
	'Lithuania, Litai' => ['LTL', 'Lt'],
	'MADAGASCAR, Malagasy Ariary' => ['MGA', 'MGA'],
	'Macedonia, Denars' => ['MKD', 'ден'],
	'Malaysia, Ringgits' => ['MYR', 'RM'],
	'Malta, Liri' => ['MTL', '₤'],
	'Mauritius, Rupees' => ['MUR', '₨'],
	'Mexico, Pesos' => ['MXN', '$'],
	'Mongolia, Tugriks' => ['MNT', '₮'],
	'Mozambique, Meticais' => ['MZN', 'MT'],
	'Namibia, Dollars' => ['NAD', '$'],
	'Nepal, Rupees' => ['NPR', '₨'],
	'Netherlands Antilles, Guilders' => ['ANG', 'ƒ'],
	'New Zealand, Dollars' => ['NZD', '$'],
	'Nicaragua, Cordobas' => ['NIO', 'C$'],
	'Nigeria, Nairas' => ['NGN', '₦'],
	'North Korea, Won' => ['KPW', '₩'],
	'Norway, Krone' => ['NOK', 'kr'],
	'Oman, Rials' => ['OMR', '﷼'],
	'Pakistan, Rupees' => ['PKR', '₨'],
	'Panama, Balboa' => ['PAB', 'B/.'],
	'Paraguay, Guarani' => ['PYG', 'Gs'],
	'Peru, Nuevos Soles' => ['PEN', 'S/.'],
	'Philippines, Pesos' => ['PHP', 'Php'],
	'Poland, Zlotych' => ['PLN', 'zł'],
	'Qatar, Rials' => ['QAR', '﷼'],
	'Romania, New Lei' => ['RON', 'lei'],
	'Russia, Rubles' => ['RUB', '₽'],
	'Saint Helena, Pounds' => ['SHP', '£'],
	'Saudi Arabia, Riyals' => ['SAR', '﷼'],
	'Serbia, Dinars' => ['RSD', 'Дин.'],
	'Seychelles, Rupees' => ['SCR', '₨'],
	'Singapore, Dollars' => ['SGD', '$'],
	'Solomon Islands, Dollars' => ['SBD', '$'],
	'Somalia, Shillings' => ['SOS', 'S'],
	'South Africa, Rand' => ['ZAR', 'R'],
	'South Korea, Won' => ['KRW', '₩'],
	'Sri Lanka, Rupees' => ['LKR', '₨'],
	'Sweden, Kronor' => ['SEK', 'kr'],
	'Switzerland, Francs' => ['CHF', 'CHF'],
	'Suriname, Dollars' => ['SRD', '$'],
	'Syria, Pounds' => ['SYP', '£'],
	'Taiwan, New Dollars' => ['TWD', 'NT$'],
	'Thailand, Baht' => ['THB', '฿'],
	'Trinidad and Tobago, Dollars' => ['TTD', 'TT$'],
	'Turkey, New Lira' => ['TRY', 'YTL'],
	'Turkey, Liras' => ['TRL', '₤'],
	'Tuvalu, Dollars' => ['TVD', '$'],
	'Ukraine, Hryvnia' => ['UAH', '₴'],
	'United Arab Emirates, Dirham' => ['AED', 'AED'],
	'United Kingdom, Pounds' => ['GBP', '£'],
	'United Republic of Tanzania, Shilling' => ['TZS', 'TZS'],
	'USA, Dollars' => ['USD', '$'],
	'Uruguay, Pesos' => ['UYU', '$U'],
	'Uzbekistan, Sums' => ['UZS', 'лв'],
	'Venezuela, Bolivares Fuertes' => ['VEF', 'Bs'],
	'Vietnam, Dong' => ['VND', '₫'],
	'Zambia, Kwacha' => ['ZMK', 'ZMK'],
	'Yemen, Rials' => ['YER', '﷼'],
	'Zimbabwe Dollars' => ['ZWD', 'Z$'],
	'Malawi, Kwacha' => ['MWK', 'MK'],
	'Tunisian, Dinar' => ['TD', 'TD'],
	'Moroccan, Dirham' => ['MAD', 'درهم'],
];
/*
	'Afghanistan, Afghanis'=>array('SAR','﷼'),
	'Cambodia, Riels'=>array('SAR','﷼'),
*/
